Subject: bug#5050: 23.1; efiff: Displaying bytes instead of characters in messages

From: Stephen Berman <[email-masked]>
Date: Thu, 20 Aug 2020 20:53:12 +0200

On Thu, 20 Aug 2020 20:38:04 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Sebastian Rose <[email-masked]> writes:
>
>> If I do
>>
>>   M-x ediff-files RET
>>
>> and choose binary files, e.g. x.png and x.jpg, this is, what I see in
>> the `*ediff*' buffer (no indentation): 
>>
>>   Bin\303\244rdateien /home/sebastian/x.png and /home/sebastian/x.jpg sind
>> verschieden.
>>
>> What I expect to see is:
>>
>>   Binärdateien /home/sebastian/x.png and /home/sebastian/x.jpg sind verschieden.
>
> I don't have a German locale here, so I can't test this.  However, the
> buffer I get when I try this is seems to use an utf-8 input method, so
> it seems likely that this has been fixed in the decade that passed since
> the bug report.
>
> Does somebody here have Emacs running in a German locale and can test
> this?  (Or any other locale that outputs non-ASCII characters for "diff
> bin1 bin2".)

When I start Emacs built from current master like this:

LANG=de_DE.UTF-8 emacs -Q

and then carry out the above recipe, I get exactly the above message
with raw bytes instead of a-umlaut.

Steve Berman